# ./tests/hello-world-server.nix
(import ./lib.nix) {
  name = "from-nixos";
  nodes = {
    # `self` here is set by using specialArgs in `lib.nix`
    node1 = { self, pkgs, ... }: {
      imports = [ self.nixosModules.zineshop ];

      services.zineshop.enable = true;
      environment.systemPackages = [ pkgs.curl ];
    };
  };

  testScript = ''
    start_all() # wait for our service to start
    node1.wait_for_unit("zineshop.service")
    output = node1.succeed("curl localhost:8080")
    # Check if our webserver returns the expected result
    assert "Zine Shop" in output, f"'{output}' does not contain 'Zine Shop'"
  '';
}
